#
# spec file for package wput
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wput
Version:        0.6.2
Release:        pm152.2.6
Summary:        A utility for uploading files or whole directories to remote ftp-servers
License:        GPL-2.0
Group:          Productivity/Networking/Web/Utilities
Url:            http://wput.sourceforge.net/
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         wput-destdir.patch
BuildRequires:  gettext
BuildRequires:  gnutls-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Wput is a command-line ftp-client that looks like wget but instead of
downloading, uploads files or whole directories to remote ftp-servers.

%lang_package

%prep
%setup -q
%patch0

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING TODO doc/USAGE.* doc/wputrc
%{_bindir}/wput
%{_bindir}/wdel
%{_mandir}/man1/wput.1%{ext_man}
%{_mandir}/man1/wdel.1%{ext_man}

%changelog
* Sat Jan 14 2017 aloisio@gmx.com
- Spec cleanup
* Wed Dec 30 2009 AxelKoellhofer@web.d
- updated to version 0.6.2
- initial build for openSUSE
- spec adapted for build with openSUSE
- destdir-patch rewritten
- spec cleanup
* Sun Jul 26 2009 rel-eng@lists.fedoraproject.org
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Tue Feb 24 2009 rel-eng@lists.fedoraproject.org
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Mon Oct 27 2008 itamar@ispbrasil.com.br
- Changes bugzilla #468633 Comment #10 From Manuel Wolfshant ->
- BuildRequires: gettext / gnutls-devel
* Sun Oct 26 2008 itamar@ispbrasil.com.br
- Changes bugzilla #468633 Comment #1 From Fabian Affolter ->
- Fix Release, %%%%files section and consistent use of macros
* Sat Oct 25 2008 itamar@ispbrasil.com.br
- Initial package.
